package com.qmth.teachcloud.report.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 考务-关系表
 * @Author: CaoZixuan
 * @Date: 2021-06-23
 */
@ApiModel(value = "TBExaminationRelation对象", description = "考务关系表（学校-考试-课程-开课学院-教师）")
public class TBExaminationRelation implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField(value = "school_id")
    private Long schoolId;

    @ApiModelProperty(value = "考试id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField(value = "exam_id")
    private Long examId;

    @ApiModelProperty(value = "教务课程号")
    @TableField(value = "examination_course_code")
    private String examinationCourseCode;

    @ApiModelProperty(value = "课程名称")
    @TableField(value = "course_name")
    private String courseName;

    @ApiModelProperty(value = "开课学院名称")
    @TableField(value = "teach_college_name")
    private String teachCollegeName;

    @ApiModelProperty(value = "教师编号")
    @TableField(value = "teacher_code")
    private String teacherCode;

    @ApiModelProperty(value = "教师名称")
    @TableField(value = "teacher_name")
    private String teacherName;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExaminationCourseCode() {
        return examinationCourseCode;
    }

    public void setExaminationCourseCode(String examinationCourseCode) {
        this.examinationCourseCode = examinationCourseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getTeachCollegeName() {
        return teachCollegeName;
    }

    public void setTeachCollegeName(String teachCollegeName) {
        this.teachCollegeName = teachCollegeName;
    }

    public String getTeacherCode() {
        return teacherCode;
    }

    public void setTeacherCode(String teacherCode) {
        this.teacherCode = teacherCode;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }
}
